#navbar-container {
  display: flex;
  align-items: center;
  justify-content: flex-start;

  width: 100%;
  height: 50px;
  box-sizing: border-box;

  background: white;
  border-bottom: 1px solid lightblue;
}

#navbar-container-presentation {
  display: flex;
  align-items: center;
  justify-content: center;

  height: 50px;
  padding: 0 10px;
  box-sizing: border-box;

  background-color: lightblue;
}

#navbar-container-image {
  height: 45px;
}

#navbar {
  display: flex;
  align-items: center;
  justify-content: space-between;

  flex-grow: 1;
  height: 50px;

  gap: 20px;
  padding: 0 10px 0 20px;
  box-sizing: border-box;
}

#navbar > ul {
  display: flex;
  align-items: center;
  justify-content: center;

  gap: 10px;
  padding: 0;
  margin: 0;

  list-style-type: none;
}

#navbar > ul > li {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;

  height: 50px;
  padding: 0 20px;
  text-decoration: none;
}

#navbar > ul > li::after {
  content: "";
  position: absolute;

  top: 50px;
  left: 0;

  width: 100%;
  height: 10px;
}

/* NAVBAR SUBMENU*/
.submenu {
  display: none;
  position: absolute;
  top: 60px;
  left: 0;
  min-width: 100%;
  width: max-content;

  background: white;
  border: 1px solid lightblue;
  flex-direction: column;
  z-index: 100;

  padding: 0;
  margin: 0;
  list-style-type: none;
}

.submenu li {
  display: flex;
  text-decoration: none;
  font-size: 14px;

  width: 100%;
  box-sizing: border-box;
  padding: 0 20px;

  gap: 10px;
  white-space: nowrap;
}

.submenu > li:hover {
  background-color: lightblue;
}

.submenu a {
  display: flex;
  align-items: center;
  justify-content: flex-start;
  width: 100%;
  padding: 10px 0;
  box-sizing: border-box;
}

.submenu a:hover {
  background-color: lightblue;
}

.submenu img {
  width: 20px;
  margin-right: 10px;
}

/* AFFICHAGE DU SUBMENU QUAND HOVER DU MENU GENERAL */

#navbar li:hover > ul {
  display: flex;
  align-items: flex-start;
  justify-content: center;
}

#navbar li:hover .chevron {
  display: inline-block;
  transform: rotate(180deg);
  transition: transform 0.3s ease;
}

/* NAVBAR AUTH SYSTEM */
#navbar a {
  text-decoration: none;
  color: black;
}

#navbar > ul > li > a:hover {
  text-decoration: underline;
}

#btn-signup {
  background-color: lightblue;
  padding: 8px 13px;
  border: 2px solid lightblue;
  border-radius: 10px;
}

#btn-signup:hover {
  background-color: aliceblue;
  border: 2px solid lightblue;
}

#btn-archive {
  background-color: lightblue;
  padding: 8px 13px;
  border: 2px solid lightblue;
  border-radius: 10px;
}

#btn-archive:hover {
  background-color: aliceblue;
  border: 2px solid lightblue;
}

#user-greeting {
  display: inline-block;
  transition: transform 0.3s ease-out;

  background-color: lightblue;
  padding: 8px 13px;
  border: 2px solid lightblue;
  border-radius: 10px;
}

#user-greeting:hover {
  background-color: aliceblue;
  border: 1px solid lightblue;
  animation: horizontalStretch 0.6s ease-in-out forwards;
}

@keyframes horizontalStretch {
  0% {
    transform: scaleX(1);
  }
  50% {
    /* Adjust this value slightly up or down depending on the exact width of your element. 
       A scaleX of 1.25 increases the width by 25% from the center. */
    transform: scaleX(1.25);
  }
  100% {
    transform: scaleX(1);
  }
}
